#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    string s;
    cin>>n>>s;
    if(n<26)
        cout<<"0";
    else if (n==26)
    cout<<"0";
    else if(n==27)
        cout<<"2";
    else cout<<((n-26)/2)*((n-26)/2);
    return 0;
}